# vim: set ft=spec: -*- rpm-spec -*-

Name: screenruler
Version: 0.85
Release: alt1

Summary: measure objects on screen with a variety of metrics
Group: Graphical desktop/GNOME
License: GPLv2+
Url: https://code.launchpad.net/screenruler/

Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

BuildArch: noarch

Provides: gruler = %version-%release
Obsoletes: gruler

Source: %name-%version.tar
Source1: screenruler.desktop
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu Dec 25 2008 (-bi)
BuildRequires: rpm-build-ruby

%description
ScreenRuler will display a ruler on screen which allows you to measure
the other objects that you've there. It has the following features:
 * Horizontal and vertical measurement in 6 different metrics:
   pixels, centimetres, inches, picas, points, and as a percentage
   of the ruler's length.
 * Cusomizable colors and fonts.
 * Keyboard control for precise positioning.
 * Option for the ruler to stay always on top of other windows.

%prep
%setup -n %name-%version
%patch -p1

%install
mkdir -p %buildroot{%_datadir/screenruler,%_pixmapsdir,%_desktopdir,%_bindir}
install -p -m644 preferences_window.rb ruler_popup_menu.rb ruler_window.rb %buildroot%_datadir/screenruler/
install -p -m644 utils/*.rb %buildroot%_datadir/screenruler/
install -p -m644 screenruler.glade %buildroot%_datadir/screenruler/
install -p -m644 screenruler-icon.png %buildroot%_pixmapsdir/screenruler.png
install -p -m644 %_sourcedir/screenruler.desktop %buildroot%_desktopdir/
install -p -m755 screenruler.rb %buildroot%_bindir/screenruler

%files
%doc AUTHORS
%_bindir/screenruler
%_datadir/screenruler
%_desktopdir/screenruler.desktop
%_pixmapsdir/screenruler.png

%changelog
* Thu Dec 25 2008 Sir Raorn <raorn@altlinux.ru> 0.85-alt1
- Built for Sisyphus

